// Fill out your copyright notice in the Description page of Project Settings.

#include "Identifier.h"
#include "Containers/UnrealString.h"
#include "Internationalization/TextLocalizationResource.h"

Identifier::Identifier(const FString& name) :
	m_name(name.ToLower())
{
	m_hash = FTextLocalizationResource::HashString(m_name);
}

Identifier::Identifier(const Identifier& cpy) :
	m_name(cpy.m_name.ToLower()),
	m_hash(cpy.m_hash)
{
}

Identifier::Identifier(HashValue hash, const FString& name) :
	m_name(name.ToLower()),
	m_hash(hash)
{
}